## Bsoft program

# bmol

### Usage: bmol [options] in.pdb out.pdb

Edits, analyzes and transforms atomic coordinate files.

### Selections:

-select CA | Atom selection (default all).
-chains B,G,O,Z | Select chains or molecules by ID (default all).
-limits | -50.5,10,0,40,-100,-20 Coordinate limits (default -10000,-10000,-10000,10000,10000,10000).

### Actions:

-invert 10,-5.3,2.6 | Invert through a point.
-translate 0,-50,22 | Translate (angstrom).
-scale 2,1.5,2.2 | Scale the coordinates.
-rotate 0.5,0,5.8,45 | Rotate around a vector (x,y,z) by an angle.
-toview 0.3,0.5,0.8,33 | Rotate to view: vector {xyz} and angle (default 0,0,1,0).
-fromview 0.3,0.5,0.8,33 | Rotate from view: vector {xyz} and angle (default 0,0,1,0).
-radius 41.8 | Force all coordinates to this radius (default not).
-rename D | Rename molecules from the given letter.
-renumber 52 | Renumber residues from the given number.
-occupancy 27,99,3 | Set an occupancy range (res1,res2) to a value.
-box 15,66,54 | Consolidate structure within box (0,0,0 means no change).
-wrap 15,66,54 | Pack coordinates within periodic box.
-Bfactor | Analyze B-factors.
-Sequence | Output sequence as string of letters.
-Mass | Calculate the total molecular weight and volume.
-Volume 1 | Calculate the Van der Waals volume, wrapping flag (default 0).
-Composition | Calculate the composition.
-Center | Calculate the center of mass.
-Translate | Translate the coordinate set to the center of mass.
-Place -43.2,33,0 | Place the center-of-mass at the given coordinates.
-Axes | Calculate the orthogonal axes.
-Radialdensity 0.05,6,1 | Calculate the radial density function at a given sampling
| and distance cutoff (angstrom) with optional wrapping.

### Parameters:

-verbose 7 | Verbosity of output.
-origin 10,-10,20 | Origin for rotation (default 0,0,0, can be "center" for COM)

### Input:

-parameters parm.star | Atomic properties parameter file (default atom_prop.star).

Bsoft version 2.0.3-20180917 (64 bit)